Skip to main content
PUT
Update manual shipping method detail

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

shipping method id

Body

application/json
name
string
Maximum string length: 64
shipping_method_type
enum<string>
Available options:
manual,
local-pickup
is_default
boolean
is_forward_shipping
boolean
is_return_shipping
boolean
maximum_weight
number | null

can be null if there is no limit on weight.

enable_shipping_rate
boolean
shipping_rate_name
string | null

required if enable_shipping_rate = true; null when no shipping rate is set.

shipping_rate_fixed_price
number | null

can be null if shipping_rate_condition is provided.

shipping_rate_condition
ShippingRateBasedOnWeightSlabs · object
delivery_leadtime_minimum
integer

in days.

delivery_leadtime_maximum
integer

in days.

shipping_zone_id
string[]
write-only
warehouse_id
string[]
write-only
status
enum<string>
Available options:
active,
inactive
fulfillment_type
enum<string>
Available options:
delivery,
collect-in-store
description
string | null
Maximum string length: 512

Response

OK

message
string
required
success
boolean
required
content
object
required